Skip to content

Retrieve a collection resource
deprecated

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Retrieves a collection resource with entitlements

Note: This endpoint is deprecated. Use getCollectionResourceV2 instead.

Path
collectionIdstringrequired

Unique identifier for the collection

resourceIdstringrequired

Unique identifier for the resource

curl -i -X GET \
  'https://subdomain.okta.com/governance/api/v1/collections/{collectionId}/resources/{resourceId}'

Responses

Response to a successful get resource collection operation

Bodyapplication/json
resourceOrnstring, (okta-resource-orn)(app-resource-orn)required

The ORN identifier for a specific app. Other resource types aren't supported.

See the supported-resources endpoint for reference.

resourceIdstring, (okta-resource-id), <= 20 characters(resource-id)

The Okta app.id of the resource.

See List applications to retrieve app IDs.

resourceProfileobject(resource-profile)

A limited set of properties from the resource's profile

entitlementsArray of objects(entitlements-full)

The entitlements associated with the collection. Use the include query parameter to return entitlements for the collection.

entitlementValueCountinteger, >= 0(collection-resource-entitlement-value-count)

The number of entitlements associated with this resource in the collection. Use the include query parameter to return this count in the response.

Response
{ "resourceOrn": "orn:okta:idp:00ofsdghasfhas54wewe:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resourceId": "res789067asg6asdf7g", "resourceProfile": { "id": "0oafxqCAJWWGELFTYASJ", "name": "salesforce", "label": "Salesforce", "logo": [ … ] }, "entitlementValueCount": 2, "entitlements": [ { … }, { … } ], "_links": { "entitlements": { … } } }